using Install.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Install.View
{
    /// <summary>
    /// PaProgress.xaml 的交互逻辑
    /// </summary>
    public partial class PgProgress : Page
    {
        InstallWizard installWizard;
        public PgProgress()
        {
            InitializeComponent();
            
            
        }
        public void Init() 
        {
            installWizard = App.Resolve<InstallWizard>();
            this.DataContext = installWizard;

            installWizard.PropertyChanged += InstallWizard_PropertyChanged;
            listBox1.Items.Clear();
        }

        private void InstallWizard_PropertyChanged(object sender, System.ComponentModel.PropertyChangedEventArgs e)
        {
            if (e.PropertyName == "Msg") 
            {
                this.Dispatcher.Invoke(new Action<string>((s) => listBox1.Items.Add(s)), installWizard.Msg);
            }
        }

        private void btnCancelClick(object sender, RoutedEventArgs e)
        {
            installWizard.Abort();
            App.Current.Shutdown();
        }



        private void btnFinishClick(object sender, RoutedEventArgs e)
        {
            App.Current.Shutdown();
        }
    }
}
